<?php
require __DIR__ . '/../config.php';
session_start();
if (isLoggedIn()) header('Location: dashboard.php');
$error = '';
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
  if ($_POST['username'] === ADMIN_USER && $_POST['password'] === ADMIN_PASS) {
    $_SESSION['logged_in'] = true;
    header('Location: dashboard.php');
    exit;
  }
  $error = 'ユーザー名またはパスワードが違います';
}
?>
<!DOCTYPE html>
<html lang="ja">
<head>
  <meta charset="UTF-8">
  <title>Simple CMS ログイン</title>
  <link rel="stylesheet" href="style.css">
</head>
<body>
  <nav class="navbar">
    Simple CMS
  </nav>
  <div class="container" style="max-width:400px;">
    <h2>ログイン</h2>
    <?php if($error): ?><p style="color:red;"><?=htmlspecialchars($error)?></p><?php endif; ?>
    <form method="post">
      <input class="form-control" name="username" placeholder="ユーザー名" required>
      <input class="form-control" name="password" type="password" placeholder="パスワード" required>
      <button class="btn btn-primary" type="submit">ログイン</button>
    </form>
  </div>
</body>
</html>
